Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2024-04-06 12:12:38

0001 #!/bin/sh
0002 set -x
0003 LOCAL_TEST_DIR=${SCRAM_TEST_PATH}
0004 
0005 # Pass in name and status
0006 function die { echo $1: status $2 ; echo === Test log === ; cat ${3:-/dev/null} ; echo === End test log === ;  exit $2; }
0007 
0008 cmsRun ${LOCAL_TEST_DIR}/CatchStdExceptiontest_cfg.py &> CatchStdException.log && die 'Failed in using CatchStdException_cfg.py' 1 CatchStdException.log
0009 
0010 grep -q WhatsItESProducer CatchStdException.log || die 'Failed to find Producers name' $? CatchStdException.log
0011 #grep -w ESProducer CatcheStdException.log
0012